Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class NewOrOpenWizard.StartingPage

    java.lang.Object
      oracle.bali.ewt.wizard.WizardPage
          oracle.bali.ewt.wizard.ImageWizardPage
              samples.javaclient.analyzer.NewOrOpenWizard.StartingPage

Enclosing class:
  NewOrOpenWizard

public class NewOrOpenWizard.StartingPage
extends oracle.bali.ewt.wizard.ImageWizardPage

This inner class creates the starting page for the wizard. It asks the user what to do: Create or Open a Worksheet. This class extends the Bali (JEWT) ImageWizardPage.

Nested Class Summary

Nested classes inherited from class oracle.bali.ewt.wizard.ImageWizardPage
``

Field Summary
`private javax.swing.JToggleButton` | `btnNew` Button for New choice.
`private javax.swing.JToggleButton` | `btnOpen` Button for Open choice.
`private NewOrOpenWizard` | `m_wizardDialog` The wizard that this page is part of.

Fields inherited from class oracle.bali.ewt.wizard.ImageWizardPage
``

Fields inherited from class oracle.bali.ewt.wizard.WizardPage
`NOT_ADDED_INDEX`

Constructor Summary
`NewOrOpenWizard.StartingPage(NewOrOpenWizard wizardDialog)` Constructor.

Method Summary
`void` | `setWizardDialog(NewOrOpenWizard wizardDialog)` Stores the reference to the WizardDialog.

Methods inherited from class oracle.bali.ewt.wizard.ImageWizardPage
`getImage, getInteractiveArea, setImage, setInteractiveArea`

Methods inherited from class oracle.bali.ewt.wizard.WizardPage
`addPropertyChangeListener, addWizardValidateListener, firePropertyChange, getAccessibleDescription, getCanAdvance, getCanGoBack, getContent, getIndex, getInitialFocus, getLabel, getParent, isEnabled, isSelected, isVisible, processWizardValidateEvent, removePropertyChangeListener, removeWizardValidateListener, setAccessibleDescription, setCanAdvance, setCanGoBack, setContent, setEnabled, setInitialFocus, setLabel, setVisible, toString, validatePage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### btnNew

    private javax.swing.JToggleButton btnNew

  Button for New choice.

### btnOpen

    private javax.swing.JToggleButton btnOpen

  Button for Open choice.

### m_wizardDialog

    private NewOrOpenWizard m_wizardDialog

  The wizard that this page is part of.

Constructor Detail

### NewOrOpenWizard.StartingPage

    public NewOrOpenWizard.StartingPage(NewOrOpenWizard wizardDialog)

  Constructor. Constructs the UI and adds the listeners for the wizard page. This method is called from the NewOrOpenWizard constructor.

Parameters:
  `wizardDialog` - A Bali Wizard Dialog instance. This dialog provides a default layout and buttons.

Method Detail

### setWizardDialog

    public void setWizardDialog(NewOrOpenWizard wizardDialog)

  Stores the reference to the WizardDialog.

  Parameters:
    `wizardDialog` - The wizard that this page belongs to.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD